Bug 17391 - ReturnpathDefault and ReplyToDefault missing from syspref.sql
Summary: ReturnpathDefault and ReplyToDefault missing from syspref.sql
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Installation and upgrade (web-based installer) (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low minor (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-10-03 16:17 UTC by Katrin Fischer
Modified: 2017-06-14 22:15 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 17391: Add missing prefs to sysprefs.sql (2.51 KB, patch)
2016-10-16 12:28 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 17391: Add missing prefs to sysprefs.sql (2.57 KB, patch)
2016-11-17 09:01 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 17391: Add atomic update file (1.02 KB, patch)
2016-11-17 09:01 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 17391: Fix number of values in sysprefs.sql (2.58 KB, patch)
2016-11-17 09:01 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 17391: Add missing prefs to sysprefs.sql (2.63 KB, patch)
2016-11-22 11:12 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 17391: Add atomic update file (1.08 KB, patch)
2016-11-22 11:12 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 17391: Fix number of values in sysprefs.sql (2.63 KB, patch)
2016-11-22 11:12 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 17391 (QA Followup) use INSERT INGORE in atomicupdate (1.37 KB, patch)
2016-11-22 11:12 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2016-10-03 16:17:46 UTC
ReturnpathDefault and possibly others are missing from sysprefs.sql.
Comment 1 Katrin Fischer 2016-10-16 12:28:16 UTC
I checked the tests, but couldn't find one checking the sysprefs.sql for completeness. Is there any other way we could find missing ones automatically?
Comment 2 Katrin Fischer 2016-10-16 12:28:54 UTC
Created attachment 56570 [details] [review]
Bug 17391: Add missing prefs to sysprefs.sql

Adds
- ReturnpathDefault
- ReplytoDefault
to the sysprefs.sql file.

To test:
- Run the web installer in any language
- Check all preferences are installed without error
- Check prefs listed above now exsit in your
  systempreferences table
Comment 3 Katrin Fischer 2016-10-16 12:29:30 UTC
I am not sure, should we do a git an 'INSERT IGNORE...' atomic update here?
Comment 4 Jonathan Druart 2016-11-17 08:52:24 UTC
(In reply to Katrin Fischer from comment #3)
> I am not sure, should we do a git an 'INSERT IGNORE...' atomic update here?

Yes we definitely need it.
Comment 5 Jonathan Druart 2016-11-17 08:54:44 UTC
(In reply to Katrin Fischer from comment #1)
> I checked the tests, but couldn't find one checking the sysprefs.sql for
> completeness. Is there any other way we could find missing ones
> automatically?

t/db_dependent/check_sysprefs.t is comparing sysprefs.sql with the prefs in DB. So if you install a fresh instance with sysprefs.sql, the test will not see any differences.
Comment 6 Jonathan Druart 2016-11-17 08:57:33 UTC
(In reply to Jonathan Druart from comment #4)
> (In reply to Katrin Fischer from comment #3)
> > I am not sure, should we do a git an 'INSERT IGNORE...' atomic update here?
> 
> Yes we definitely need it.

Not really actually, but for consistency It is better
Comment 7 Jonathan Druart 2016-11-17 09:01:48 UTC
Created attachment 57588 [details] [review]
Bug 17391: Add missing prefs to sysprefs.sql

Adds
- ReturnpathDefault
- ReplytoDefault
to the sysprefs.sql file.

To test:
- Run the web installer in any language
- Check all preferences are installed without error
- Check prefs listed above now exsit in your
  systempreferences table

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 8 Jonathan Druart 2016-11-17 09:01:51 UTC
Created attachment 57589 [details] [review]
Bug 17391: Add atomic update file

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 9 Jonathan Druart 2016-11-17 09:01:54 UTC
Created attachment 57590 [details] [review]
Bug 17391: Fix number of values in sysprefs.sql

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 10 Nick Clemens 2016-11-22 11:12:05 UTC
Created attachment 57699 [details] [review]
Bug 17391: Add missing prefs to sysprefs.sql

Adds
- ReturnpathDefault
- ReplytoDefault
to the sysprefs.sql file.

To test:
- Run the web installer in any language
- Check all preferences are installed without error
- Check prefs listed above now exsit in your
  systempreferences table

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 11 Nick Clemens 2016-11-22 11:12:10 UTC
Created attachment 57700 [details] [review]
Bug 17391: Add atomic update file

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 12 Nick Clemens 2016-11-22 11:12:16 UTC
Created attachment 57701 [details] [review]
Bug 17391: Fix number of values in sysprefs.sql

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 13 Nick Clemens 2016-11-22 11:12:22 UTC
Created attachment 57702 [details] [review]
Bug 17391 (QA Followup)     use INSERT INGORE in atomicupdate

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 14 Kyle M Hall 2016-11-22 11:49:08 UTC
Pushed to master for 16.11, thanks Katrin, Jonathan, Nick!
Comment 15 Julian Maurice 2016-11-30 13:44:34 UTC
Pushed to 3.22.x, will be in 3.22.13